<div class="btnAcrossPageName">
  <button nz-button nzType="default" (click)="onBack()">{{'partnership.pns-contract.label.cancel' | translate}}</button>

  <mb-button
    (click)="onSave()"
    mbButtonText="{{'common.button.save' | translate}}"
    [mbButtonAvailableStyle]="'PRIMARY'"
  ></mb-button>
</div>

<div class="content__item content__item--border bg__content--default">

    <app-personal-info [employeeId]="employeeId"></app-personal-info>

    <form nz-form [formGroup]="form" style='margin-top: 25px'>
        <!-- Tiêu chí ký kết HĐLĐ	 -->
        <div nz-row style="margin-top: 30px">
            <div nz-col nzXs="24" nzLg="24" class="input__group">
                <label class="input__label">{{'partnership.pns-contract.contractApproval.label.signCriteria' | translate}}</label>
            </div>
        </div>
        <nz-divider class="hrTag"></nz-divider>

        <div nz-row [nzGutter]='[30,30]'>
            <!-- Tuân thủ (Vi phạm kỷ luật hay không) -->
            <div nz-col nzXs="12" nzLg="12">
                <mb-select
                    [mbDataSelects]="disciplineData"
                    [mbLabelText]="'partnership.pns-contract.contractApproval.label.isDisciplined' | translate"
                    (ngModelChange)='selectDisciplineData($event)'
                    [formControlName]="'isDisciplined'"
                ></mb-select>
            </div>

            <!-- Nội dung vi phạm -->
            <div nz-col nzXs="12" nzLg="12" *ngIf="form.controls['isDisciplined'].value === '1'">
                <mb-input-text
                    mbLabelText="{{'partnership.pns-contract.contractApproval.label.disciplineNote' | translate}} <span class='label__required'>*</span>"
                    [formControlName]="'disciplineNote'"
                    [mbType]="isSubmitted && form.controls['disciplineNote'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['disciplineNote'].errors !== null"
                    [mbErrors]="form.controls['disciplineNote'].errors"
                    [mbErrorDefs]="[
                        { errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.contractApproval.label.disciplineNote' | translate }}
                    ]"
                ></mb-input-text>
            </div>

            <!-- Điểm KPI/đánh giá -->
            <div nz-col nzXs="12" nzLg="12">
                <mb-input-text
                    [mbLabelText]="'partnership.pns-contract.contractApproval.label.kpiPoint' | translate"
                    appNumberInput
                    [formControlName]="'kpiPoint'"
                ></mb-input-text>
            </div>

            <!-- Kết quả đào tạo/xếp loại -->
            <div nz-col nzXs="12" nzLg="12">
                <mb-input-text
                    [mbLabelText]="'partnership.pns-contract.contractApproval.label.rankName' | translate"

                    [formControlName]="'rankName'"
                ></mb-input-text>
            </div>
            <div nz-col nzXs=24 nzLg="24">
                <mb-input-text
                    formControlName="note"
                    [mbIsTextAre]="true"
                    [mbMaxLength]="500"
                    mbPlaceholderText="{{'partnership.pns-contract.label.note' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.note' | translate}}"></mb-input-text>
            </div>
            <div nz-col nzXs='24' nzLg='24' class="datepicker__group">
                <label class="input__label">{{'partnership.pns-contract.label.attachFile' | translate}}</label>
                <mb-upload
                    (fileListChange)="onFileListChange($event)"
                    [fileList]="fileList"
                    [mbTypeFileAvailable]="['jpg', 'png', 'pdf', 'doc', 'docx', 'xls', 'xlsx', 'tif', 'gif']"
                    [mbMultiple]="true"
                    (docIdsDeleteChange)='removeFile($event)'
                    [mbServiceName]='serviceName'
                ></mb-upload>

            </div>
        </div>
        <!--End: Tiêu chí ký kết HĐLĐ	 -->

    </form>
</div>
